@echo off
set WADROOT=D:\Hammer
echo ###################################################
echo #                 Batch  Compiler                 #
echo ###################################################
echo ###################################################
echo #  Please report bugs to: ryansgregg@hotmail.com  #
echo ###################################################
echo.
echo Written At: 2/20/2007 4:46 PM
echo BC Version: 3.1.2.0
echo.
"D:\Hammer\batch2\Tools\hlcsg.exe" -wadautodetect -cliptype Simple -wadinclude Megawad2.wad -wadinclude mecktex.wad -wadinclude mesa.wad -wadinclude Westport.wad -wadinclude tm_harbor.wad -wadinclude TS_ph.wad -chart -estimate -texdata 15000 -lightdata 15000 "D:\Hammer\Mecklenburg\vfinal\meckv_final"
if ERRORLEVEL 1 goto failed
"D:\Hammer\batch2\Tools\hlbsp.exe" -maxnodesize 8192.0 -chart -estimate -texdata 15000 -lightdata 15000 "D:\Hammer\Mecklenburg\vfinal\meckv_final"
if ERRORLEVEL 1 goto failed
"D:\Hammer\batch2\Tools\hlvis.exe" -chart -estimate -texdata 15000 -lightdata 15000 "D:\Hammer\Mecklenburg\vfinal\meckv_final"
if ERRORLEVEL 1 goto failed
"D:\Hammer\batch2\Tools\hlrad.exe" -chop 70 -sparse -chart -estimate -texdata 15000 -lightdata 15000  "D:\Hammer\Mecklenburg\vfinal\meckv_final"
if ERRORLEVEL 1 goto failed
if ERRORLEVEL 1 goto failed
if not exist "D:\Hammer\Mecklenburg\vfinal\meckv_final.wic" goto nodelwic
del "D:\Hammer\Mecklenburg\vfinal\meckv_final.wic"
echo D:\Hammer\Mecklenburg\vfinal\meckv_final.wic deleted.
:nodelwic
if not exist "D:\Hammer\Mecklenburg\vfinal\meckv_final.lin" goto nodellin
del "D:\Hammer\Mecklenburg\vfinal\meckv_final.lin"
echo D:\Hammer\Mecklenburg\vfinal\meckv_final.lin deleted.
:nodellin
if not exist "D:\Hammer\Mecklenburg\vfinal\meckv_final.p0" goto nodelp0
del "D:\Hammer\Mecklenburg\vfinal\meckv_final.p0"
echo D:\Hammer\Mecklenburg\vfinal\meckv_final.p0 deleted.
:nodelp0
if not exist "D:\Hammer\Mecklenburg\vfinal\meckv_final.p1" goto nodelp1
del "D:\Hammer\Mecklenburg\vfinal\meckv_final.p1"
echo D:\Hammer\Mecklenburg\vfinal\meckv_final.p1 deleted.
:nodelp1
if not exist "D:\Hammer\Mecklenburg\vfinal\meckv_final.p2" goto nodelp2
del "D:\Hammer\Mecklenburg\vfinal\meckv_final.p2"
echo D:\Hammer\Mecklenburg\vfinal\meckv_final.p2 deleted.
:nodelp2
if not exist "D:\Hammer\Mecklenburg\vfinal\meckv_final.p3" goto nodelp3
del "D:\Hammer\Mecklenburg\vfinal\meckv_final.p3"
echo D:\Hammer\Mecklenburg\vfinal\meckv_final.p3 deleted.
:nodelp3
if not exist "D:\Hammer\Mecklenburg\vfinal\meckv_final.prt" goto nodelprt
del "D:\Hammer\Mecklenburg\vfinal\meckv_final.prt"
echo D:\Hammer\Mecklenburg\vfinal\meckv_final.prt deleted.
:nodelprt
if not exist "D:\Hammer\Mecklenburg\vfinal\meckv_final.err" goto nodelerr
del "D:\Hammer\Mecklenburg\vfinal\meckv_final.err"
echo D:\Hammer\Mecklenburg\vfinal\meckv_final.err deleted.
:nodelerr
if not exist "D:\Hammer\Mecklenburg\vfinal\meckv_final.ent.bak" goto nodelentbac
del "D:\Hammer\Mecklenburg\vfinal\meckv_final.ent.bak"
echo D:\Hammer\Mecklenburg\vfinal\meckv_final.ent.bak deleted.
:nodelentbac
if not exist "D:\Hammer\Mecklenburg\vfinal\meckv_final.bsp" goto nocopybsp
copy "D:\Hammer\Mecklenburg\vfinal\meckv_final.bsp" "C:\Steam\SteamApps\_funjob_\half-life\ts\maps"
echo meckv_final.bsp copied to C:\Steam\SteamApps\_funjob_\half-life\ts\maps.
:nocopybsp
if not exist "D:\Hammer\Mecklenburg\vfinal\meckv_final.res" goto nocopyres
copy "D:\Hammer\Mecklenburg\vfinal\meckv_final.res" "C:\Steam\SteamApps\_funjob_\half-life\ts\maps"
echo meckv_final.res copied to C:\Steam\SteamApps\_funjob_\half-life\ts\maps.
:nocopyres
if not exist "D:\Hammer\Mecklenburg\vfinal\meckv_final.pts" goto nocopypts
copy "D:\Hammer\Mecklenburg\vfinal\meckv_final.pts" "C:\Steam\SteamApps\_funjob_\half-life\ts\maps"
echo meckv_final.pts copied to C:\Steam\SteamApps\_funjob_\half-life\ts\maps.
:nocopypts

goto succeeded
:failed
echo.
echo There was a problem compiling your map, check your meckv_final.log file for errors.
:succeeded
echo.
if exist "D:\Hammer\Mecklenburg\vfinal\meckv_final.log" "C:\WINDOWS\system32\notepad.exe" "D:\Hammer\Mecklenburg\vfinal\meckv_final.log"
